État « Mise à niveau disponible » dans la nouvelle batterie de serveurs SharePoint Server 2016

Symptômes

Envisagez ce scénario. SharePoint Server 2016 est installé. L’Assistant Configuration des produits SharePoint 2016 est exécuté pour créer une batterie de serveurs. Une fois la batterie de serveurs créée, vous pouvez observer les symptômes suivants :

  • Vous accédez au site Web Administration centrale de SharePoint 2016. Dans l’Administration centrale, vous suivez le lien Gérer les serveurs dans cette batterie de serveurs. Dans la colonne État, « Mise à niveau disponible » s’affiche.

  • Dans l’Administration centrale, sélectionnez Mise à niveau et migration, puis Examiner l’état de la base de données. Le SharePoint_AdminContent_ de données a l’état suivant : « La base de données est dans la plage de compatibilité et la mise à niveau <GUID> est recommandée ».

  • Vous accédez au site Web Administration centrale. Vous accédez à Gérer les bases de données de contenu. Dans le menu Application Web : dans la page, sélectionnez Administration centrale de SharePoint v4. Ensuite, suivez le lien de la base de données SharePoint_AdminContent_ <GUID> de contenu. La zone Versions du schéma de base de données comprend les données suivantes :

    Microsoft.Office.Project.Server.Database.Extension.Upgrade.PDEUpgradeSequence Current Schema Version: 4.0.0.0, Maximum Schema Version: 16.1.273.0
    
  • Sur le serveur SharePoint 2016, l’exécution de la commande stsadm -o LocalUpgradeStatus renvoie les résultats suivants :

    <object>
    <name>SharePoint_AdminContent_GUID</name>
    <type>Microsoft.SharePoint.Administration.SPContentDatabase</type>
    <level>5</level>
    <status>Needs Upgrade</status>
    </object>  
    
  • Sur SharePoint Server, vous utilisez SharePoint 2016 Management Shell pour exécuter :

    Get-SPFarm | Get-SPPendingUpgradeActions -recursive
    

    Les résultats sont les suivants :

    UpgradeActions : {Microsoft.Office.Project.Server.Database.Extension.Upgrade.PD EUpgradeSequence,   Microsoft.Office.Project.Server.Database.Ext  ension.Upgrade.PDEUpgraderAction_16_0_1_0,_1_0, Microsoft.Office.Project.Server.Database.Extension.Upgrade.PDEUpgraderAction_16_1_2_0...}  
    ObjectName : SharePoint_AdminContent_<GUID>  
    ObjectType     : Microsoft.SharePoint.Administration.SPContentDatabase  
    ParentName     : SharePoint Central Administration v4  
    ParentType     : Microsoft.SharePoint.Administration.SPAdministrationWebApplication  
    Level          : 5  
    Status         : NeedsUpgradeBackwardsCompatible
    ObjectType     : Microsoft.SharePoint.Administration.SPContentDatabase  
    ParentName     : SharePoint Central Administration v4  
    ParentType     : Microsoft.SharePoint.Administration.SPAdministrationWebApplication
    Level          : 5  
    Status         : NeedsUpgradeBackwardsCompatible     
    

Cause

Cela peut se produire si certains composants de la base de données n’ont pas été définies sur la version attendue lorsque l’Assistant Configuration de SharePoint 2016 a créé la base de données AdminContent de l’Administration centrale.

Résolution

Pour résoudre ce problème, appliquez l’une des méthodes suivantes :

  1. Exécutez ce qui suit dans SharePoint 2016 Management Shell pour mettre à niveau les composants de la base de données de l’Administration centrale :

    Get-SPWebApplication <Central Administration URL> | Get-SPContentDatabase | Upgrade-SPContentDatabase  
    
  2. Exécutez l’Assistant Configuration des produits SharePoint 2016 à partir de la ligne de commande :

    PSConfig.exe -cmd upgrade -inplace b2b -wait -force -cmd applicationcontent -install -cmd installfeatures -cmd secureresources
    

Informations supplémentaires

Encore besoin d’aide ? Go to SharePoint Community.